Subject: Re: [PATCH v3 0/4] Add support for an external command for fetching notes

From: Siddh Raman Pant <[email-masked]>
Date: Thu, 28 May 2026 05:59:02 +0000

Hi,

Pinging since it's been almost a week (v2 was sent on Fri)... 
I sent close/during the weekend, so I think this fell through.

Sorry if this bothers. Just curious as I haven't heard back like the
last time.

Thanks,
Siddh

On Sat, May 23 2026 at 16:08:08 +0530, Siddh Raman Pant wrote:
> v2: https://lore.kernel.org/git/[email-masked]/
> v1: https://lore.kernel.org/git/[email-masked]/
> 
> <...insert text from v1 cover here...>
> 
> Changes since v2:
> - Removed stale help text talking about force-killing helper process.
> 
> Changes since v1:
> - Removed Documentation commit and sent as a standalone patch.
> - Removed finish_command_with_timeout addition (and thus sleep_nanosec).
> - Squashed the external notes command code, doc, and test commits.
> - Removed horizontal separators from note-external.c.
> - Removed global variables from translation unit and instead store config in
>   a dedicated new struct member in struct display_notes_opt.
> - Reworded the main commit to have better explanation of the motivation.
> 
> Siddh Raman Pant (4):
>   notes: convert raw arg in format_display_notes() to bool
>   wrapper: add support for timeout and deadline in read helpers
>   t3301: cover generic displayed notes behavior
>   notes: support an external command to display notes
> 
>  Documentation/config/notes.adoc             |  59 +++
>  Documentation/git-format-patch.adoc         |  11 +-
>  Documentation/git-range-diff.adoc           |   6 +
>  Documentation/pretty-options.adoc           |   9 +
>  Makefile                                    |   2 +
>  builtin/log.c                               |  17 +-
>  builtin/name-rev.c                          |   9 +-
>  builtin/range-diff.c                        |   2 +
>  contrib/completion/git-completion.bash      |   4 +-
>  log-tree.c                                  |  10 +-
>  meson.build                                 |   1 +
>  notes-external.c                            | 414 ++++++++++++++++++
>  notes-external.h                            |  53 +++
>  notes.c                                     | 266 +++++++++---
>  notes.h                                     |  33 +-
>  revision.c                                  |  36 +-
>  strbuf.c                                    |  26 +-
>  strbuf.h                                    |   4 +
>  t/helper/meson.build                        |   1 +
>  t/helper/test-external-notes                |  64 +++
>  t/helper/test-notes-external-config-reset.c |  24 ++
>  t/helper/test-tool.c                        |   1 +
>  t/helper/test-tool.h                        |   1 +
>  t/lib-notes.sh                              |  19 +
>  t/t3206-range-diff.sh                       |  68 +++
>  t/t3301-notes.sh                            | 448 ++++++++++++++++++++
>  t/t6120-describe.sh                         |  17 +
>  wrapper.c                                   | 139 +++++-
>  wrapper.h                                   |  23 +
>  29 files changed, 1691 insertions(+), 76 deletions(-)
>  create mode 100644 notes-external.c
>  create mode 100644 notes-external.h
>  create mode 100755 t/helper/test-external-notes
>  create mode 100644 t/helper/test-notes-external-config-reset.c
>  create mode 100644 t/lib-notes.sh